// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers', 'starter.services'])

.run(function($ionicPlatform, $rootScope) {
  $rootScope.domain = "http://technotip.org/wp-json/wp/v2/"; 
  $ionicPlatform.ready(function() {
     
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard 
    // for form inputs)
    if (window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);

    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }
  
      /* Set AdMobAds options:
  
AdMob.prepareInterstitial( {
    adId: 'ca-app-pub-5732334124058455/3403366048',
    autoShow: false
});

AdMob.createBanner({
   adId     : 'ca-app-pub-5732334124058455/7973166445',
   adSize   : AdMob.AD_SIZE.SMART_BANNER,
   position : AdMob.AD_POSITION.BOTTOM_CENTER,
   bgColor:  '#FFFFFF',
   overlap  : false,
   autoShow : true
});

 AdMob.showBanner(); 
  //adMob End

*/

 //Google Analytics Start
    if(window.analytics != undefined)
       window.analytics.startTrackerWithId('UA-2320664-22'); 


  });
})

.config(function($stateProvider, $urlRouterProvider) {
  $stateProvider

    .state('app', {
    url: '/app',
    abstract: true,
    templateUrl: 'templates/menu.html',
    controller: 'AppCtrl'
  })



    .state('app.playlists', {
      url: '/playlists',
      views: {
        'menuContent': {
          templateUrl: 'templates/playlists.html',
          controller: 'Home'
        }
      }
    })
  
    .state('app.search', {
      url: '/search',
      views: {
        'menuContent': {
          templateUrl: 'templates/search.html',
          controller: 'Search'
        }
      }
    }) 

  .state('app.single', {
    url: '/playlists/:post_id',
    views: {
      'menuContent': {
        templateUrl: 'templates/playlist.html',
        controller: 'Post'
      }
    }
  })
 
  .state('app.author', {
    url: '/author/:id',
    views: {
      'menuContent': {
        templateUrl: 'templates/author-post.html',
        controller: 'AuthorPost'
      }
    }
  })

  .state('app.categories', {
    url: '/categories',
    views: {
      'menuContent': {
        templateUrl: 'templates/categories.html',
        controller: 'Categories'
      }
    }
  }) 
  .state('app.category', {
    url: '/category/:id',
    views: {
      'menuContent': {
        templateUrl: 'templates/category-post.html',
        controller: 'Category'
      }
    }
  })
  .state('app.pages', {
    url: '/pages',
    views: {
      'menuContent': {
        templateUrl: 'templates/pages.html',
        controller: 'Pages'
      }
    }
  })
 
  .state('app.page', {
    url: '/page/:id',
    views: {
      'menuContent': {
        templateUrl: 'templates/page.html',
        controller: 'Page'
      }
    }
  })
 
  .state('app.authors', {
    url: '/authors',
    views: {
      'menuContent': {
        templateUrl: 'templates/authors.html',
        controller: 'Authors'
      }
    }
  })
 
  .state('app.bookmarks', {
    url: '/bookmarks',
    views: {
      'menuContent': {
        templateUrl: 'templates/bookmarks.html',
        controller: 'Bookmarks'
      }
    }
  })
  .state('app.invite', {
    url: '/invite',
    views: {
      'menuContent': {
        templateUrl: 'templates/invite.html',
        controller: 'Social'
      }
    }
  });
  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/app/playlists');
});
